package com.gem.media.splash.base.crash;

public class Event {
    private int id;
    private String eventId;
    private String label;
    private String versionName;
    private String versionCode;
    private long timestamp;
    private String params;

    public int getId() {
        return this.id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getEventId() {
        return this.eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getLabel() {
        return this.label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getVersionName() {
        return this.versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getVersionCode() {
        return this.versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getParams() {
        return this.params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Event event = (Event) o;
        if (this.timestamp != event.timestamp) {
            return false;
        }
        return this.eventId.equals(event.eventId);
    }

    public int hashCode() {
        return (31 * this.eventId.hashCode()) + ((int) (this.timestamp ^ (this.timestamp >>> 32)));
    }

    public String toString() {
        return "Event(id='" + this.id + "', eventId='" + this.eventId + "', label='" + this.label + "', vn='" + this.versionName + "', vc='" + this.versionCode + "', params='" + this.params + "')";
    }
}
